import type { AxiosResponse } from 'axios';
import instance from './interceptor';

export interface DataList {
  position: string;
  company: string;
  id: string;
  name: string;
  nameCh: string;
  picture: string;
}

export interface FaceListRes {
  data: DataList[];
  total: number;
}

export async function queryFaceList(params: object): Promise<FaceListRes> {
  const res = await instance.post('/api/getUserInfo', params);
  return res.data;
}
